# Deployed from factory DEX

This contract would be deployed after calling [add\_pool](/smart-contracts/quipuswap-stable-swap-dex/factory/initialize-new-dex-flow/add_pool.md) the Factory entrypoint. Contract is almost close to Standalone version of DEX contract by ABI and storage. The distinction of contracts described in [QuipuSwap stable swap DEX](/smart-contracts/quipuswap-stable-swap-dex.md#the-main-difference-in-implementations).

### Initialization of contract

The initialization section describes methods that are called **only** by the `Factory` contract. These methods are included in [start\_dex](/smart-contracts/quipuswap-stable-swap-dex/factory/initialize-new-dex-flow/start_dex.md) call and used for initial setup and start DEX pool.

{% content-ref url="/pages/WxHsEl2dwTUvVrEV7obe" %}
[Initialization](/smart-contracts/quipuswap-stable-swap-dex/factory/deployed-from-factory-dex/initialization.md)
{% endcontent-ref %}

### Contract storage

Storage of contract differs from Standalone only with excluding developer config in exchange of adding factory address and pausing of contract.

{% content-ref url="/pages/8C4L1YsKQUr0KzZ1kDoV" %}
[Storage and types overview](/smart-contracts/quipuswap-stable-swap-dex/factory/deployed-from-factory-dex/storage-and-types-overview.md)
{% endcontent-ref %}

### Core DEX methods

Main methods of DEX, that are able to use by anyone. These methods include investing, swapping, and divesting. Also, there are additional methods for staking QUIPU tokens for earning additional rewards and claiming referral rewards.

{% content-ref url="/pages/jVwwAm4e3a1fgbm6rFgP" %}
[DEX methods](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods.md)
{% endcontent-ref %}

### Developer method

{% hint style="warning" %}
This entrypoint should be called only by `developer` address of Factory contract.&#x20;
{% endhint %}

This entrypoint is designed to claim developer rewards from a specific contract (DEX pool).

{% content-ref url="/pages/k45UEmSLmhDclXFsqRM6" %}
[claim\_developer](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/developer-methods/claim_developer.md)
{% endcontent-ref %}

### Admin methods

{% hint style="warning" %}
These entrypoints should be called only by `admin` address.&#x20;
{% endhint %}

The next section is about entrypoints for managing fees, "A" constant change, editing the manager list, and changing an admin address.

{% content-ref url="/pages/tjIFtpRpiwljFf1SrU53" %}
[Admin methods](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/admin-methods.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/factory/deployed-from-factory-dex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
